SQLITE3_VTAB_COLLATION(3)

NAME
sqlite3_vtab_collation - Determine The Collation For a Virtual Table Constraint

SYNOPSIS
const char *
sqlite3_vtab_collation(sqlite3_index_info*, int);

DESCRIPTION
This function may only be called from within a call to the xBestIndex method of a virtual table.

The first argument must be the sqlite3_index_info object that is the first parameter to the xBestIndex() method. The second argument must be an index into the aConstraint[] array belonging to the sqlite3_index_info structure passed to xBestIndex. This function returns a pointer to a buffer containing the name of the collation sequence for the corresponding constraint.